Page MenuHomePhabricator

[Wikistats v2] Default selection for (active) editors is confusing for inexperienced users
Closed, ResolvedPublic

Description

Wired just published an article claiming that it.wiki has 40k active users. I jumped on my chair: we know the real number is between 2000 and 3000.

"Active editors" is a closely watched number, so it needs to be easy to find, but when looking for it the journalist ended up on this URL which is about something else entirely: https://stats.wikimedia.org/v2/#/it.wikipedia.org/contributing/active-editors/normal|line|2-year|~total|monthly

There is already a task on how it's impossible to get the traditional number: {T187806#3986708}

But even with the current selectors it should be possible to provide a less confusing selection as default, to ensure we don't channel the vast majority of casual visitors to the wrong destination: at a minimum, only registered users should be selected by default: https://stats.wikimedia.org/v2/#/it.wikipedia.org/contributing/active-editors/normal%7Cline%7C2-year%7Ceditor_type~user%7Cmonthly . This would at least match the simplistic query already provided by Special:Statistics and Special:ActiveUsers, so it would reduce the additional entropy produced.

Event Timeline

Nemo_bis created this task.Jan 15 2019, 9:48 AM
Restricted Application added a project: Analytics. · View Herald TranscriptJan 15 2019, 9:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mforns triaged this task as Medium priority.Jan 17 2019, 5:58 PM
mforns moved this task from Incoming to Wikistats on the Analytics board.
Nemo_bis updated the task description. (Show Details)Oct 30 2019, 8:33 PM
Tgr added a subscriber: Tgr.Feb 11 2020, 8:06 PM

Yeah, including IP edits in the editor / active editor count is horribly unintuitive. I had to redo the analysis in T209224: Analyze effect of huwiki FlaggedRevs configuration change on problematic edits and new user retention after (luckily) realizing that it included anonymous editors (who are in any case counted completely unreliably, since one IP can be used by many editors, and one editor can use many IPs).

fdans moved this task from Wikistats to Incoming on the Analytics board.Mar 6 2020, 11:31 AM
fdans added a subscriber: fdans.

Question for team, should we only count users in this metric?

fdans raised the priority of this task from Medium to High.Mar 9 2020, 3:45 PM
fdans claimed this task.Apr 20 2020, 2:46 PM

This bug continues to be highly confusing for users. Even experienced users may get lost trying to access what's traditionally the single most important metric of the entire WikiStats, which now requires at a minimum 5 clicks (active editors > split by editor type > deselect 3 checkboxes).

fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.May 4 2020, 12:43 PM

Change 594194 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Change "Active Editors" to registered user editors only

https://gerrit.wikimedia.org/r/594194

Change 594194 merged by Nuria:
[analytics/wikistats2@master] Change "Active Editors" to registered user editors only

https://gerrit.wikimedia.org/r/594194

Milimetric added a subscriber: Milimetric.

This has been deployed for a while, we just forgot it in the wrong column.

Nuria closed this task as Resolved.Sep 9 2020, 3:16 PM